%global rocm_version 1.6.4

Name:		hipblas
Version:	0.10.1.0
Release:	1.rocm%{rocm_version}%{?dist}
Summary:	hip based blas library	

License:	MIT
URL:		https://github.com/ROCmSoftwarePlatform/hipBLAS
Source0:	https://github.com/ROCmSoftwarePlatform/hipBLAS/archive/v%{version}/hipblas-%{version}.tar.gz
Patch0:		0001-Install-to-standard-prefix.patch

BuildRequires:	cmake
BuildRequires:	rocm-cmake
BuildRequires:	hcc
BuildRequires:	rocblas-devel
BuildRequires:	rocm-runtime-devel

%description
hcc based blas library

%package devel
Summary: hipblas development files
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Libraries and header files for hipblas


%prep
%autosetup -n  hipBLAS-%{version} -p1


%build
mkdir build
cd build

# hcc does not support the default CXXFLAGS, so we can't use the cmake macro:
cmake .. \
        -DCMAKE_BUILD_TYPE=RELWITHDEBINFO \
        -DCMAKE_CXX_COMPILER=%{_bindir}/hcc \
        -DCMAKE_INSTALL_PREFIX=/usr \


%make_build


%install
cd build
%make_install


%files
%license LICENSE.md
%doc README.md
%{_libdir}/libhipblas.so.*

%files devel
%{_libdir}/libhipblas.so
%{_libdir}/cmake/hipblas/
%{_includedir}/*


%changelog
* Fri Feb 16 2018 Tom Stellard <tstellar@redhat.com> - 0.10.1.0-1.rocm1.6.4
- 0.10.1.0 Release

